<!DOCTYPE html>
{% extends 'base.html' %}
{% load static %}
{% load checkLink %}

{%block links%}
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="{% static '/css/general.css' %}" />
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous">
</script>
{%endblock%}

{% block body %}
<main class="home-body flex-fill">
    <h1>Filter</h1>
    <h3>See specifically from:</h3>
    <br>
    <form {%if pb%} action="{% url 'filter_p' %}" {%else%} action="{% url 'filter' %}" {%endif%} method="POST">
        {% csrf_token %}
        {%for relative in relatives%}
        <label for="checkbox" class="mb-2">
            <input class="form-check-input" value="{{relative.pk}}" type="checkbox" name="checkbox" id="bb1">
            
            <div class="d-inline-block ms-1">
                <!-- {%if relative.avatar_url%}
                <figure class="home_profile_image"><img class="home_profile_actual_image"
                        src="data:image/jpeg;base64,{{relative.avatar_url|base64Images}}" width="30px"></figure>
                {%elif relative.avatar%}
                <figure class="home_profile_image"><img class="home_profile_actual_image" src="{{relative.avatar.url}}"
                        width="30px"></figure>
                {%endif%} -->
                <a style="font-size: 20px;"> {{relative.first_name}} {{relative.last_name}}</a>
                <a style="font-size: 18px; color: #767676;"> {{relative.get_relation_display}}</a>
            </div>
            
            {% if relative.pk == value %}selected="selected"{% endif %}
        </label>
        <br>
        {%endfor%}
        <br>
        <button type="submit" class="btn button-primary" id="sub">Filter chosen relatives</button>
    </form>
    <hr>
</main>
{%endblock%}